<div class="page">
  <div class="page-header">
    <div class="title">
      Transactions
    </div>
    <div class="actions">
      <ion-chip outline="true" color="white" [ngClass]="{'btn_color':  building=== true}">
        <ion-icon name="funnel"></ion-icon>
        <ion-label>Car</ion-label>
      </ion-chip>
      <ion-chip outline="true" color="white" [ngClass]="{'btn_color':  today=== true}" class="day_chip"  >
        <ion-icon name="calendar-outline" ></ion-icon>
        <ion-label >Date</ion-label>
      </ion-chip>
    </div>
  </div>
  <ion-content class="page">
    <div class="page-content" style="overflow-y: scroll;">
      <div style="margin-left: 5%;margin-right: 5%;">
        <div>
          <h2>Payment Due</h2>
        <ion-grid >
          <ion-row *ngFor='let payment of paymentsDone'>
            <ion-col size='4' style="margin-left: 10px;">
              <img src="/assets/images/money.svg" alt="" srcset="" height="63px">
              <img src="/assets/images/vehicle_pending.svg" alt="" srcset="" class="pending-icon"
                *ngIf="payment.status!='completed'||(payment.status=='completed'&& payment.startmonth>=currentmonth)">
              <img src="/assets/images/vehicle_done.png" alt="" srcset="" class="completed1-icon"
                *ngIf="payment.status=='completed'&&(payment.status=='completed'&& payment.startmonth<currentmonth)">
            </ion-col>
            <ion-col size='6' style="margin-left: -31px;margin-top: 18px;">
              <p style="margin-top: -17px; font-size: 22px;">{{payment.registration_no}}</p>
  
              <p style="margin-top: -12px;">
                <ion-icon name="today-outline" style="height: 19px;"></ion-icon>
                Date: {{payment.payment_date | date: 'shortDate'}}
              </p>
            </ion-col>
            <ion-col class="amount_row" *ngIf="payment.status!='completed'||(payment.status=='completed'&& payment.startmonth>=currentmonth)">
              <ion-row>
                <span>{{payment.due_amount | currency:' د.إ':'symbol':'1.0-0'}}</span>
              </ion-row>
              <ion-row *ngIf="payment.due_amount == 0 && payment.amount_paid != 0">
                <p style="font-size: 15px;margin: 12px 0px -34px -50px;">Adv: + {{payment.payment_amount | currency:' د.إ':'symbol':'1.0-0'}}</p>
              </ion-row>
              <ion-row class="collect_row" *ngIf="payment.status!='completed'||(payment.status=='completed'&& payment.startmonth>=currentmonth)">
                <ion-icon name="checkmark-circle" class="assigned-icon" [style.color]="'#28F714'"></ion-icon>
              </ion-row>
            </ion-col>
            <hr style="border-width: 1px;width: 100%;margin-top: -10px;">
          </ion-row>
          
          
          <ion-row >
              <ion-col size="9">
                <ion-row>
                  <ion-item lines="none">
                    <ion-label><ion-icon name="car-outline" style="width: 40px;height: 40px;"></ion-icon></ion-label>
                    <ion-badge class="paymentIcon"><ion-icon  name="checkmark-circle" ></ion-icon></ion-badge>
                  </ion-item>
              <ion-list style="padding: 0;" lines="none">
                <ion-item style="--min-height: 15px;" ><ion-label style="margin: 0px"><ion-span>HM-12-24</ion-span></ion-label></ion-item>
                <ion-item style="font-size: 14px;"><ion-label style="margin: 0px"><ion-icon name="calendar-outline"></ion-icon>&nbsp;<ion-span>Due: 05-05-2021</ion-span></ion-label></ion-item>
              </ion-list>
                </ion-row>
              </ion-col>
              <ion-col size="3">
                <ion-list lines="none" style="padding: 0;" >
                  <ion-item style="--min-height: 15px;" ><ion-label style="margin: 0px;font-size: 12px;text-align: center;color: green;"><ion-span>AED</ion-span></ion-label></ion-item>
                  <ion-item><ion-label style="margin: 0px;text-align: center;font-size: 25px;;">125</ion-label></ion-item>
                </ion-list>
              </ion-col>
          </ion-row>
        </ion-grid>
        </div>
      </div>
    </div>
  </ion-content>
</div>